com.microfocus.awm.meta.modelextension

## Class AbstractModelExtensionAtribute

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute
    - - com.microfocus.awm.meta.modelextension.AbstractModelExtensionAtribute

- All Implemented Interfaces:
    IModelExtensionWithEnabledCondition
  Direct Known Subclasses:
    AbstractToolTypeAtribute, ModelExtensionAttribute, ModelExtensionReferenceAttribute

      public abstract class AbstractModelExtensionAtribute
      extends SimpleModelExtensionAttribute
      implements IModelExtensionWithEnabledCondition

  Abstract super class for model extension attributes.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractModelExtensionAtribute(java.lang.String pID, java.lang.String pLabel, boolean pMandatory, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `REnabledCondition` | `getEnabledCondition()` Gets the enabled condition of this instance.
    `boolean` | `isModelLabel()` Gets whether this attribute should be shown in the object label.
    `void` | `setEnabledCondition(REnabledCondition pVisibleWhen)` Sets the enabled condition of this instance.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute

      `getCategory, getDescription, isMandatory, isMultiLine, setMultiLine`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractModelExtensionAtribute

          public AbstractModelExtensionAtribute(java.lang.String pID,
                                                java.lang.String pLabel,
                                                boolean pMandatory,
                                                java.lang.String pCategory,
                                                java.lang.String pDescription,
                                                boolean pModelLabel,
                                                FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pID` - the attribute ID
        `pLabel` - the label
        `pMandatory` - whether the attribute is mandatory
        `pCategory` - the category
        `pDescription` - the attribute description
        `pModelLabel` - whether this should be added to the model editor label of the component
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### isModelLabel

          public boolean isModelLabel()

      Gets whether this attribute should be shown in the object label.
      Returns:
        whether this attribute should be shown in the object label

    - #### getEnabledCondition

          public REnabledCondition getEnabledCondition()

      Description copied from interface: `IModelExtensionWithEnabledCondition`
      Gets the enabled condition of this instance.
      Specified by:
        `getEnabledCondition` in interface `IModelExtensionWithEnabledCondition`
      Returns:
        the enabled condition or `null` if there is none (always enabled)

    - #### setEnabledCondition

          public void setEnabledCondition(REnabledCondition pVisibleWhen)

      Description copied from interface: `IModelExtensionWithEnabledCondition`
      Sets the enabled condition of this instance.
      Specified by:
        `setEnabledCondition` in interface `IModelExtensionWithEnabledCondition`
      Parameters:
        `pVisibleWhen` - the enabled condition to set or `null` if the instance should always be enabled

Copyright © 2015 Micro Focus GmbH. All rights reserved.